Intermittent TEST-UNEXPECTED-FAIL | /tests/content/events/test/test_wheel_default_action.html | application terminated with exit code 1

RESOLVED WORKSFORME

Status

()

--
critical
RESOLVED WORKSFORME
5 years ago
6 months ago

People

(Reporter: cbook, Unassigned)

Tracking

({crash, intermittent-failure, regression})

Trunk
x86
Mac OS X
crash, intermittent-failure, regression
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(URL)

(Reporter)

Description

5 years ago
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test mochitest-1 on 2014-01-08 18:23:25 PST for push 9b6ddb284e61

slave: talos-r4-snow-156

https://tbpl.mozilla.org/php/getParsedLog.php?id=32734630&tree=Mozilla-Inbound

TEST-UNEXPECTED-FAIL | /tests/content/events/test/test_wheel_default_action.html | application terminated with exit code 1
PROCESS-CRASH | /tests/content/events/test/test_wheel_default_action.html | application crashed [@ 0x0]

8:49:19  WARNING -  PROCESS-CRASH | /tests/content/events/test/test_wheel_default_action.html | application crashed [@ 0x0]
18:49:19     INFO -  Crash dump filename: /var/folders/dx/dxq534BoH+0ozoQb8JRwwU+++-k/-Tmp-/tmpX2O6hs/minidumps/E0066505-A90D-4B4B-81D8-9A17E9379107.dmp
18:49:19     INFO -  Operating system: Mac OS X
18:49:19     INFO -                    10.6.8 10K549
18:49:19     INFO -  CPU: amd64
18:49:19     INFO -       family 6 model 23 stepping 10
18:49:19     INFO -       2 CPUs
18:49:19     INFO -  Crash reason:  EXC_BAD_ACCESS / KERN_INVALID_ADDRESS
18:49:19     INFO -  Crash address: 0x0
18:49:19     INFO -  Thread 0 (crashed)
18:49:19     INFO -   0  0x0
18:49:19     INFO -      rbx = 0x0000000000000000   r12 = 0x00007fff5fbf8ad0
18:49:19     INFO -      r13 = 0x0000000106873fe0   r14 = 0x00007fff5fbf8b10
18:49:19     INFO -      r15 = 0x00007fff5fbf8ac8   rip = 0x0000000000000000
18:49:19     INFO -      rsp = 0x00007fff5fbf8ab8   rbp = 0x00007fff5fbf8b00
18:49:19     INFO -      Found by: given as instruction pointer in context
18:49:19     INFO -   1  XUL!mozilla::layers::LayerManager::GetScrollableLayers(nsTArray<mozilla::layers::Layer*>&) [Layers.cpp:9b6ddb284e61 : 95 + 0xa]
18:49:19     INFO -      rip = 0x0000000102061bb6   rsp = 0x00007fff5fbf8ac0
18:49:19     INFO -      rbp = 0x00007fff5fbf8b00
18:49:19     INFO -      Found by: stack scanning
18:49:19     INFO -   2  XUL!mozilla::layers::AsyncCompositionManager::TransformShadowTree(mozilla::TimeStamp) [AsyncCompositionManager.cpp:9b6ddb284e61 : 751 + 0x4]
18:49:19     INFO -      rbx = 0x00000001201b4aa0   r12 = 0x00007fff70da75e0
18:49:19     INFO -      r13 = 0x00007fff5fbf8cb0   r14 = 0x00007fff5fbf8b18
18:49:19     INFO -      r15 = 0x00000001201b3740   rip = 0x00000001020a69b9
18:49:19     INFO -      rsp = 0x00007fff5fbf8b10   rbp = 0x00007fff5fbf8b60
18:49:19     INFO -      Found by: call frame info
18:49:19     INFO -   3  XUL!mozilla::layers::CompositorParent::SetTimeAndSampleAnimations(mozilla::TimeStamp, bool) [CompositorParent.cpp:9b6ddb284e61 : 858 + 0x7]
18:49:19     INFO -      rbx = 0x000000011d111130   r12 = 0x00007fff70da7500
18:49:19     INFO -      r13 = 0x00007fff5fbf8cb0   r14 = 0x0000000000000001
18:49:19     INFO -      r15 = 0x000001961bc65309   rip = 0x00000001020cb6e9
18:49:19     INFO -      rsp = 0x00007fff5fbf8b70   rbp = 0x00007fff5fbf8b90
18:49:19     INFO -      Found by: call frame info
18:49:19     INFO -   4  XUL!nsDOMWindowUtils::AdvanceTimeAndRefresh(long long) [nsDOMWindowUtils.cpp:9b6ddb284e61 : 2459 + 0x14]
18:49:19     INFO -      rbx = 0x000000014ddd8740   r12 = 0x00007fff70da7500
18:49:19     INFO -      r13 = 0x00007fff5fbf8cb0   r14 = 0x0000000000000064
18:49:19     INFO -      r15 = 0x0000000000000001   rip = 0x0000000102916979
18:49:19     INFO -      rsp = 0x00007fff5fbf8ba0   rbp = 0x00007fff5fbf8bb0
18:49:19     INFO -      Found by: call frame info
18:49:19     INFO -   5  XUL!NS_InvokeByIndex [xptcinvoke_x86_64_unix.cpp:9b6ddb284e61 : 162 + 0x3]
18:49:19     INFO -      rbx = 0x0000000000000003   r12 = 0x00007fff70da7500

Skipping 3456 lines...
Regression from bug 818575?
Severity: normal → critical
Component: Layout → Graphics: Layers
Keywords: regression
Regression from bug 818575?
Flags: needinfo?(jmuizelaar)
What makes you suggest that bug?
Flags: needinfo?(jmuizelaar) → needinfo?(matspal)
It looks like bug 818575 added LayerManager::GetScrollableLayers
https://bugzilla.mozilla.org/attachment.cgi?id=700289&action=diff
and calling it from AsyncCompositionManager::TransformShadowTree
http://hg.mozilla.org/mozilla-central/annotate/d8f0dc811109/gfx/layers/composite/AsyncCompositionManager.cpp#l761
Flags: needinfo?(matspal) → needinfo?(jmuizelaar)
Inactive; closing (see bug 1180138).
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → WORKSFORME

Updated

2 years ago
Flags: needinfo?(jmuizelaar)
1 failures in 908 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 1

Platform breakdown:
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=957968&startday=2017-08-21&endday=2017-08-27&tree=all
1 failures in 924 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 1

Platform breakdown:
* windows7-32-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=957968&startday=2017-09-04&endday=2017-09-10&tree=all
1 failures in 885 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=957968&startday=2017-09-25&endday=2017-10-01&tree=all
1 failures in 889 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=957968&startday=2017-12-04&endday=2017-12-10&tree=all
1 failures in 423 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* try: 1

Platform breakdown:
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=957968&startday=2017-12-11&endday=2017-12-17&tree=all
3 failures in 701 pushes (0.004 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 2
* mozilla-inbound: 1

Platform breakdown:
* windows7-32: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=957968&startday=2018-01-22&endday=2018-01-28&tree=all
1 failures in 675 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* try: 1

Platform breakdown:
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=957968&startday=2018-02-19&endday=2018-02-25&tree=all
You need to log in before you can comment on or make changes to this bug.